<?php

/** @var \App\Models\Pro $sectionPro */
/** @var \App\Models\Pro $pro */
/** @var \App\Models\Note $note */

if(!@$sectionPro) {
    if(@$note) {
        $sectionPro = $note->hcpPro;
    }
    else {
        $sectionPro = $pro; // should never get here
    }
}


$canvasData = [];
if ($patient->canvas_data) {
    $canvasData = json_decode($patient->canvas_data, true);
    if (!isset($canvasData["lifestyle_rx_review"])) $canvasData["lifestyle_rx_review"] = [];
    if (!isset($canvasData["lifestyle_rx_review"][$sectionPro->uid])) $canvasData["lifestyle_rx_review"][$sectionPro->uid] = [
        'physical_activity' => [
            'type' => '',
            'frequency' => '',
            'time' => '',
            'intensity' => '',
            'enjoyment' => '',
        ],
        'barriers' => '',   // free text
        'assessment' => '', // Inactive, Insufficiently Active, Active, Highly Active
    ];

    // if lifestyle_rx_update available, prefill with that
    if (isset($canvasData["lifestyle_rx_update"]) &&
        isset($canvasData["lifestyle_rx_update"][$sectionPro->uid]) &&
        isset($canvasData["lifestyle_rx_update"][$sectionPro->uid]['prescription'])) {
        $canvasData["lifestyle_rx_review"][$sectionPro->uid]['adherence'] = $canvasData["lifestyle_rx_update"][$sectionPro->uid]['prescription'];
    }

    $canvasData = $canvasData["lifestyle_rx_review"];

}
$contentData = $canvasData;
